This is a Laravel 5 package that provides my_package management facility for lavalite framework.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `alixs/my_package`.

    "alixs/my_package": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

```php
Alixs\MyPackage\Providers\MyPackageServiceProvider::class,

```

And also add it to alias

```php
'MyPackage'  => Alixs\MyPackage\Facades\MyPackage::class,
```

Use the below commands for publishing

Migration and seeds

    php artisan vendor:publish --provider="Alixs\MyPackage\Providers\MyPackageServiceProvider" --tag="migrations"
    php artisan vendor:publish --provider="Alixs\MyPackage\Providers\MyPackageServiceProvider" --tag="seeds"

Configuration

    php artisan vendor:publish --provider="Alixs\MyPackage\Providers\MyPackageServiceProvider" --tag="config"

Language

    php artisan vendor:publish --provider="Alixs\MyPackage\Providers\MyPackageServiceProvider" --tag="lang"

Views public and admin

    php artisan vendor:publish --provider="Alixs\MyPackage\Providers\MyPackageServiceProvider" --tag="view-public"
    php artisan vendor:publish --provider="Alixs\MyPackage\Providers\MyPackageServiceProvider" --tag="view-admin"

Publish admin views only if it is necessary.

## Usage


